<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:include href="../project/head2/project_head2.inc.xslt"/>
	<xsl:include href="menu/material_submenu.inc.xslt"/>
	<xsl:include href="../_core/include/dt_edit.inc.xslt"/>
	<xsl:include href="include/material_head.inc.xslt"/>
	<xsl:include href="../block_sets/include/block_set_edit.inc.xslt"/>
	<xsl:variable name="top_section" select="'projects'"/>
	<xsl:variable name="top_section_main_page" select="false()"/>
	<xsl:variable name="project_section" select="'materials'"/>
	<xsl:variable name="project_section_main_page" select="false()"/>
	<xsl:variable name="material_id" select="/root/material_edit/document/@id"/>
	<xsl:variable name="material_title" select="/root/material_edit/document/field[@name = 'title']"/>
	<xsl:variable name="module_url" select="concat($current_project/@url, 'materials/', /root/material_edit/document/@id, '/edit/')"/>
	<xsl:variable name="material_data" select="/root/material_edit"/>
	<xsl:variable name="material_status" select="/root/material_edit"/>
	<xsl:template match="material_edit">
		<div class="color-{$current_project/@color_scheme}">
			<xsl:call-template name="draw_project_head2"/>
			<div class="columns-wrap">
				<xsl:call-template name="draw_project_bg"/>
				<table cellspacing="0" class="columns">
					<tr>
						<td class="center-column">
							<h2>Материалы</h2>
							<div class="content">
								<xsl:for-each select="/root/material_short">
									<xsl:call-template name="draw_material_head">
										<xsl:with-param name="show_link" select="true()"/>
										<xsl:with-param name="show_edit_link" select="false()"/>
										<xsl:with-param name="show_ignore_link" select="false()"/>
										<xsl:with-param name="show_announce" select="false()"/>
										<xsl:with-param name="show_match" select="false()"/>
										<xsl:with-param name="add_bottom_margin" select="false()"/>
										<xsl:with-param name="material_data" select="$material_data"/>
										<xsl:with-param name="material_status" select="$material_status"/>
									</xsl:call-template>
								</xsl:for-each>
								<xsl:call-template name="draw_material_submenu"/>
								<xsl:call-template name="_draw_form"/>
							</div>
						</td>
						<td class="right-column">
							
						</td>
					</tr>
				</table>
			</div>
		</div>
	</xsl:template>
	<xsl:template name="_draw_form">
		<form action="{$save_prefix}/material_edit/" method="post" enctype="multipart/form-data">
			<xsl:choose>
				<xsl:when test="@reflex_id &gt; 0">
					<input type="hidden" name="retpath" value="{$current_project/@url}materials/"/>
				</xsl:when>
				<xsl:otherwise>
					<input type="hidden" name="retpath" value="{$material_url}"/>
				</xsl:otherwise>
			</xsl:choose>
			<input type="hidden" name="project_id" value="{$current_project/@id}"/>
			<xsl:call-template name="draw_dt_edit">
				<xsl:with-param name="draw_button" select="@reflex_id"/>
			</xsl:call-template>
			<xsl:for-each select="/root/block_set">
				<xsl:call-template name="draw_block_set_edit">
					<xsl:with-param name="object_url" select="concat($current_project/@url, 'materials/', /root/material_edit/document/@id, '/')"/>
				</xsl:call-template>
			</xsl:for-each>
		</form>
	</xsl:template>
	<xsl:template mode="head" match="/root">
		<script type="text/javascript">
			var block_set_post_vars = {
				project_id : '<xsl:value-of select="$current_project/@id"/>',
				material_id : '<xsl:value-of select="material_edit/document/@id"/>',
				block_set_id : '<xsl:value-of select="/root/block_set/@id"/>'
			};
			var block_set_ajax_url = global.ajax_prefix + 'material_block_set/';
		</script>
		<script type="text/javascript" src="{$prefix}/editors/tiny_mce/jquery.tinymce.js"/>
		<script type="text/javascript" src="{$prefix}/js/swfobject.js"/>
		<script type="text/javascript" src="{$prefix}/js/jquery.uploadify.js"/>
		<script type="text/javascript" src="{$prefix}/js/jquery-ui.js"/>
		<script type="text/javascript" src="{$prefix}/js/jquery.scrollTo.js"/>
		<script type="text/javascript" src="{$prefix}/js/dt.js"/>
		<script type="text/javascript" src="{$prefix}/js/block_set.js"/>
	</xsl:template>
	<xsl:template mode="title" match="/root">
		<xsl:text>Редактирование материала &#8212; </xsl:text>
		<xsl:value-of select="$material_title"/>
		<xsl:text> &#8212; </xsl:text>
		<xsl:value-of select="$current_project/@title"/>
	</xsl:template>
	<xsl:template mode="nav" match="/root">
		
	</xsl:template>
</xsl:stylesheet>
